org.eclipse.gef.editpolicies

## Class SnapFeedbackPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.SnapFeedbackPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

    public class SnapFeedbackPolicy
    extends GraphicalEditPolicy

An EditPolicy that is used to show snap feedback for guides (red lines) and geometry (blue lines). This policy is not required for Grids.

Since:
  3.0

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`SnapFeedbackPolicy()`

### Method Summary

Methods
`void` `eraseTargetFeedback(Request request)` Does nothing by default.
`void` `showTargetFeedback(Request req)` Does nothing by default.

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, debugFeedback, eraseSourceFeedback, getCommand, getHost, getTargetEditPart, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapFeedbackPolicy

    public SnapFeedbackPolicy()

### Method Detail

#### eraseTargetFeedback

    public void eraseTargetFeedback(Request request)

Description copied from class: `AbstractEditPolicy`
Does nothing by default.

Specified by:
  `eraseTargetFeedback` in interface `EditPolicy`
Overrides:
  `eraseTargetFeedback` in class `AbstractEditPolicy`
Parameters:
  `request` - the Request
See Also:
  `EditPolicy.eraseTargetFeedback(org.eclipse.gef.Request)`

#### showTargetFeedback

    public void showTargetFeedback(Request req)

Description copied from class: `AbstractEditPolicy`
Does nothing by default.

Specified by:
  `showTargetFeedback` in interface `EditPolicy`
Overrides:
  `showTargetFeedback` in class `AbstractEditPolicy`
Parameters:
  `req` - the Request
See Also:
  `EditPolicy.showTargetFeedback(org.eclipse.gef.Request)`